当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 20:56 

注册: 2006-02-16 14:33
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
Ign http://archive.ubuntu.com gutsy Release.gpg
Ign http://archive.ubuntu.com gutsy/main Translation-en_US
Ign http://archive.ubuntu.com gutsy/restricted Translation-en_US
Ign http://archive.ubuntu.com gutsy/universe Translation-en_US
Ign http://archive.ubuntu.com gutsy/multiverse Translation-en_US
Ign http://archive.ubuntu.com gutsy-security Release.gpg
Ign http://archive.ubuntu.com gutsy-security/main Translation-en_US
Ign http://archive.ubuntu.com gutsy-security/restricted Translation-en_US
Ign http://archive.ubuntu.com gutsy-security/universe Translation-en_US
Ign http://archive.ubuntu.com gutsy-security/multiverse Translation-en_US
Ign http://archive.ubuntu.com gutsy-updates Release.gpg
Ign http://archive.ubuntu.com gutsy-updates/main Translation-en_US
Ign http://archive.ubuntu.com gutsy-updates/restricted Translation-en_US
Ign http://archive.ubuntu.com gutsy-updates/universe Translation-en_US
Ign http://archive.ubuntu.com gutsy-updates/multiverse Translation-en_US
Ign http://archive.ubuntu.com gutsy-proposed Release.gpg
Ign http://archive.ubuntu.com gutsy-proposed/main Translation-en_US
Ign http://archive.ubuntu.com gutsy-proposed/restricted Translation-en_US
Ign http://archive.ubuntu.com gutsy-proposed/universe Translation-en_US
Ign http://archive.ubuntu.com gutsy-proposed/multiverse Translation-en_US
Ign http://archive.ubuntu.com gutsy-backports Release.gpg
Ign http://archive.ubuntu.com gutsy-backports/main Translation-en_US
Ign http://archive.ubuntu.com gutsy-backports/restricted Translation-en_US
Ign http://archive.ubuntu.com gutsy-backports/universe Translation-en_US
Ign http://archive.ubuntu.com gutsy-backports/multiverse Translation-en_US
Ign http://archive.ubuntu.com gutsy Release
Ign http://archive.ubuntu.com gutsy-security Release
Ign http://archive.ubuntu.com gutsy-updates Release
Ign http://archive.ubuntu.com gutsy-proposed Release
Ign http://archive.ubuntu.com gutsy-backports Release
Ign http://archive.ubuntu.com gutsy/main Packages
Ign http://archive.ubuntu.com gutsy/restricted Packages
Ign http://archive.ubuntu.com gutsy/universe Packages
Ign http://archive.ubuntu.com gutsy/multiverse Packages
Ign http://archive.ubuntu.com gutsy/main Sources
Ign http://archive.ubuntu.com gutsy/restricted Sources
Ign http://archive.ubuntu.com gutsy/universe Sources
Ign http://archive.ubuntu.com gutsy/multiverse Sources
Ign http://archive.ubuntu.com gutsy-security/main Packages
Ign http://archive.ubuntu.com gutsy-security/restricted Packages
Ign http://archive.ubuntu.com gutsy-security/universe Packages
Ign http://archive.ubuntu.com gutsy-security/multiverse Packages
Ign http://archive.ubuntu.com gutsy-security/main Sources
Ign http://archive.ubuntu.com gutsy-security/restricted Sources
Ign http://archive.ubuntu.com gutsy-security/universe Sources
Ign http://archive.ubuntu.com gutsy-security/multiverse Sources
Ign http://archive.ubuntu.com gutsy-updates/main Packages
Ign http://archive.ubuntu.com gutsy-updates/restricted Packages
Ign http://archive.ubuntu.com gutsy-updates/universe Packages
Ign http://archive.ubuntu.com gutsy-updates/multiverse Packages
Ign http://archive.ubuntu.com gutsy-updates/main Sources
Ign http://archive.ubuntu.com gutsy-updates/restricted Sources
Ign http://archive.ubuntu.com gutsy-updates/universe Sources
Ign http://archive.ubuntu.com gutsy-updates/multiverse Sources
Ign http://archive.ubuntu.com gutsy-proposed/main Packages
Ign http://archive.ubuntu.com gutsy-proposed/restricted Packages
Ign http://archive.ubuntu.com gutsy-proposed/universe Packages
Ign http://archive.ubuntu.com gutsy-proposed/multiverse Packages
Ign http://archive.ubuntu.com gutsy-proposed/main Sources
Ign http://archive.ubuntu.com gutsy-proposed/restricted Sources
Ign http://archive.ubuntu.com gutsy-proposed/universe Sources
Ign http://archive.ubuntu.com gutsy-proposed/multiverse Sources
Ign http://archive.ubuntu.com gutsy-backports/main Packages
Ign http://archive.ubuntu.com gutsy-backports/restricted Packages
Ign http://archive.ubuntu.com gutsy-backports/universe Packages
Ign http://archive.ubuntu.com gutsy-backports/multiverse Packages
Ign http://archive.ubuntu.com gutsy-backports/main Sources
Ign http://archive.ubuntu.com gutsy-backports/restricted Sources
Ign http://archive.ubuntu.com gutsy-backports/universe Sources
Ign http://archive.ubuntu.com gutsy-backports/multiverse Sources
Err http://archive.ubuntu.com gutsy/main Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy/restricted Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy/universe Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy/multiverse Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy/main Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy/restricted Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy/universe Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy/multiverse Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-security/main Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-security/restricted Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-security/universe Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-security/multiverse Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-security/main Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-security/restricted Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-security/universe Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-security/multiverse Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-updates/main Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-updates/restricted Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-updates/universe Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-updates/multiverse Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-updates/main Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-updates/restricted Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-updates/universe Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-updates/multiverse Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-proposed/main Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-proposed/restricted Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-proposed/universe Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-proposed/multiverse Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-proposed/main Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-proposed/restricted Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-proposed/universe Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-proposed/multiverse Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-backports/main Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-backports/restricted Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-backports/universe Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-backports/multiverse Packages
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-backports/main Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-backports/restricted Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-backports/universe Sources
404 Not Found [IP: 91.189.88.45 80]
Err http://archive.ubuntu.com gutsy-backports/multiverse Sources
404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy/main/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy/restricted/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy/universe/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy/multiverse/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy/main/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy/restricted/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy/universe/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy/multiverse/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-security/main/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-security/restricted/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-security/universe/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-security/multiverse/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-security/main/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-security/restricted/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-security/universe/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-security/multiverse/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/main/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/restricted/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/universe/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/multiverse/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/main/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/restricted/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/universe/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-updates/multiverse/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/main/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/restricted/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/universe/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/multiverse/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/main/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/restricted/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/universe/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-proposed/multiverse/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-backports/main/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-backports/restricted/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-backports/universe/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-backports/multiverse/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-backports/main/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-backports/restricted/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-backports/universe/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/dists/gutsy-backports/multiverse/source/Sources.gz 404 Not Found [IP: 91.189.88.45 80]
Reading package lists... Done
E: Some index files failed to download, they have been ignored, or old ones used instead.
版本是:Linux ubuntu 2.6.22-14-server #1 SMP Tue Dec 18 05:52:24 UTC 2007 x86_64 GNU/Linux


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 20:58 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
你的源是7.10的,已经不支持了,你装的是什么版本?


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 21:02 

注册: 2006-02-16 14:33
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
晕~~~我是装在机房的服务器啊~~不支持了?那我该怎么办啊?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 21:03 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
升级到8.04lts版


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 21:06 

注册: 2006-02-16 14:33
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
leeaman 写道:
升级到8.04lts版

老大,有没有什么办法可以升级不?不需要去机房的~


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 21:07 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
ssh?我不懂哦


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 21:08 

注册: 2006-02-16 14:33
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
这个懂,现在可以SSH登陆上去。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 21:30 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
然后修改 /etc/apt/sources.list,把里面的gutsy全部换成hardy,保存,然后update dist-upgrade


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 21:53 
头像

注册: 2007-12-17 21:41
帖子: 773
送出感谢: 67
接收感谢: 22
原因:
http://archive.ubuntu.com 已不再有旧版本 ubuntu 7.10 的软件,进去到 dist 目录下看看就知道了。

解决方法: 不必升级到 ubuntu 8.04

方法1: 把 http://archive.ubuntu.com 换成 国内 163的源(速度较快):
http://mirrors.163.com/sources.list.gutsy
把这个文件直接保存为 /etc/apt/sources.list.d/ 目录下的 xxx.list 文件,再运行
sudo apt-get update


方法2: 把 http://archive.ubuntu.com 换成 Ubuntu官方旧版本支持源(速度较慢):
修改 /etc/apt/sources.list 文件 :
sudo gedit /etc/apt/sources.list&
把里面的 http://archive.ubuntu.com 全部换成 http://old-releases.ubuntu.com/ubuntu
再运行
sudo apt-get update


(当然如果你内存512M以上,还是建议升级到 ubuntu 8.04以获得更长时间的支持)


_________________
* 日本人说:就算我们不拜靖国神社,韩国人也不会买我们的东西;
就算我们拜靖国神社,中国人照样买我们的东西。

* 历史不相信眼泪。能挡住狼的不是篱笆,而是棍子和猎枪。
--------------
Careone <emacslocale^126.com>
https://sourceforge.net/projects/emacslocale/files/


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 22:12 
头像

注册: 2006-07-02 11:16
帖子: 12522
地址: 廣州
送出感谢: 0 次
接收感谢: 8
7.10 不再支持, 就是説 update 也没用


_________________
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-11 22:37 
头像

注册: 2007-10-23 12:54
帖子: 1689
送出感谢: 0 次
接收感谢: 13
不升级有安全隐患,升级八成要弄崩溃,这管理员很不合格,明明应该用 6.06 的。


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 使用apt-get update的时候报这个错误,已经换过很多源了,怎么解决?
帖子发表于 : 2009-08-12 2:21 

注册: 2005-09-27 10:32
帖子: 702
送出感谢: 0 次
接收感谢: 0 次
能工作就不要升级了。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译